function modType = getModulationType(handlerToGUI)
% returns the type of modulation


%get(handlerToGUI)
selectedModType = get(get(gethandlerToComp(handlerToGUI,'Modulation_types'),'SelectedObject'),'Tag');

%the following constants define the modulation types
global MODULATION_NO_MODULATION
global MODULATION_BPSK
global MODULATION_QPSK
global MODULATION_OQPSK
global MODULATION_MSK
global MODULATION_FSK


if strcmp(selectedModType,'No_mod')
    modType = MODULATION_NO_MODULATION;
    return
end

if strcmp(selectedModType,'BPSK_mod')
    modType = MODULATION_BPSK;
    return
end

if strcmp(selectedModType,'QPSK_mod')
    modType = MODULATION_QPSK;
    return
end

if strcmp(selectedModType,'OQPSK_mod')
    modType = MODULATION_OQPSK;
    return
end

if strcmp(selectedModType,'MSK_mod')
    modType = MODULATION_MSK;
    return
end

if strcmp(selectedModType,'FSK_mod')
    modType = MODULATION_FSK;
    return
end


