disp([' '])
disp([' '])
disp([' '])
disp(['====================================='])
clockNow = clock;
disp([num2str(clockNow(1)) '. ' num2str(clockNow(2)) '. ' num2str(clockNow(3)) '. ' ])
disp([num2str(clockNow(4)) ':' num2str(clockNow(5)) ':' num2str(clockNow(6)) ])
disp([' '])

bitStream = [1 0  1 1  1 0  0 1  0 1  1 0  0 0  1 1];
NbitStr = length(bitStream);
Tsym = 2;

dTSim = Tsym / 10;
tSim = [1:dTSim:(NbitStr*Tsym-dTSim)];
NSim = length(tSim);

%%
% BPSK
disp('BPSK')
bitPos = 0;
for ii = 1:NSim
    tAct   = tSim(ii);
    bitPosOld = bitPos;
    bitPos = floor(tAct / Tsym) + 1;
    actBit = bitStream(bitPos);    
    if (bitPosOld ~= bitPos)
        disp(['------'])
    end
    disp([num2str(bitPos) '. bit (' num2str(ii) '). :' num2str(actBit)])
end

%%
disp([' '])
disp(['*****************************'])
clockNow = clock;
disp([num2str(clockNow(1)) '. ' num2str(clockNow(2)) '. ' num2str(clockNow(3)) '. ' ])
disp([num2str(clockNow(4)) ':' num2str(clockNow(5)) ':' num2str(clockNow(6)) ])
disp([' '])

Tsym_QPSK = Tsym;
tSim_QPSK = [1:dTSim:(NbitStr*Tsym/2 - dTSim)];
NSim_QPSK = length(tSim_QPSK);

disp('QPSK')
% QPSK
bitPos1 = 0;
bitPos2 = 0;
for ii = 1:NSim_QPSK
    tAct   = tSim_QPSK(ii);
    bitPosOld1 = bitPos1;
    bitPos1 = 2*floor(tAct / (Tsym)) + 1;
    bitPosOld2 = bitPos2;
    bitPos2 = 2*floor(tAct / (Tsym)) + 2;
    actBit1 = bitStream(bitPos1);    
    actBit2 = bitStream(bitPos2);    
    if ((bitPosOld1 ~= bitPos1) | (bitPosOld2 ~= bitPos2))
        if ((bitPosOld1 ~= bitPos1) & (bitPosOld2 ~= bitPos2))
            disp(['------'])
        else
            disp(['......'])
        end        
    end
    disp([num2str(bitPos1) '. bit (' num2str(ii) '). :' num2str(actBit1) ' - ' num2str(actBit2)])
end


%%
%%
disp([' '])
disp(['*****************************'])
clockNow = clock;
disp([num2str(clockNow(1)) '. ' num2str(clockNow(2)) '. ' num2str(clockNow(3)) '. ' ])
disp([num2str(clockNow(4)) ':' num2str(clockNow(5)) ':' num2str(clockNow(6)) ])
disp([' '])

Tsym_OQPSK = Tsym;
tSim_OQPSK = [0:dTSim:(NbitStr*Tsym/2 - Tsym/2 - 2*dTSim)];
NSim_OQPSK = length(tSim_OQPSK);

disp('O-QPSK')
% O-QPSK
bitPos1 = 0;
bitPos2 = 0;
for ii = 1:NSim_OQPSK
    tAct   = tSim_OQPSK(ii);
    bitPosOld1 = bitPos1;
    bitPos1 = 2*floor((tAct+Tsym/2)/ (Tsym)) + 1;
    bitPosOld2 = bitPos2;
    bitPos2 = 2*floor((tAct) / (Tsym)) + 2;
    actBit1 = bitStream(bitPos1);    
    actBit2 = bitStream(bitPos2);    
    if ((bitPosOld1 ~= bitPos1) | (bitPosOld2 ~= bitPos2))
        if ((bitPosOld1 ~= bitPos1) & (bitPosOld2 ~= bitPos2))
            disp(['------'])
        else
            disp(['......'])
        end        
    end
    disp([num2str(bitPos1) '-' num2str(bitPos2) '. bit (' num2str(ii) '). :' num2str(actBit1) ' - ' num2str(actBit2)])
end




